#
# spec file for package perl-DateTime-Format-Strptime
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-DateTime-Format-Strptime
%define cpan_name DateTime-Format-Strptime
Summary:        Parse and format strp and strf time patterns
Version:        1.5000
Release:        19.1
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/DateTime-Format-Strptime/
#Source:         http://www.cpan.org/modules/by-module/DateTime/DateTime-Format-Strptime-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
Patch:          %{cpan_name}-1.5000-deps.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DateTime) >= 0.44
BuildRequires:  perl(DateTime::Locale) >= 0.45
BuildRequires:  perl(DateTime::TimeZone) >= 0.79
BuildRequires:  perl(Params::Validate) >= 0.64
Requires:       perl(DateTime) >= 0.44
Requires:       perl(DateTime::Locale) >= 0.45
Requires:       perl(DateTime::TimeZone) >= 0.79
Requires:       perl(Params::Validate) >= 0.64

%description
This module implements most of strptime(3), the POSIX function that is the
reverse of strftime(3), for DateTime. While strftime takes a DateTime and a
pattern and returns a string, strptime takes a string and a pattern and
returns the DateTime object associated.

Authors:
--------
     Rick Measham <rickm@cpan.org>

%prep
%setup -q -n %{cpan_name}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
# do not perl_process_packlist (noarch)
# remove .packlist file
%{__rm} -rf $RPM_BUILD_ROOT%perl_vendorarch
# remove perllocal.pod file
%{__rm} -rf $RPM_BUILD_ROOT%perl_archlib
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README SIGNATURE

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Oct 17 2010 chris@computersalat.de
- update to 1.5000
  - This module did not recognize UTC as a valid time zone. RT #59209.
- added deps patch
* Fri Jul  2 2010 chris@computersalat.de
- update to 1.4000
  - Actually update $VERSION in module file. Reported by David Wheeler.
- 1.3000 2010-06-26
  - Specifiers which allowed for leading space before a number (like %%e)
    would cause DateTime.pm to throw an error if the date being parsed
    actually contained leading space. Patch by Alex Vandiver. RT #58459.
  - License is now Artistic 2.0
- 1.2000 2010-03-19
  - Updated to use non-deprecated DateTime::Locale API
- 1.1000 2009-07-13 -- Regex Pattern
  - If the pattern you pass in is a regular expression, that will be honored.
  - Changed the locale tests to use require the latest version of Locale
    until the target stops moving.
- spec created by cpanspec 1.78
  - noarch
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Mon Jun 22 2009 chris@computersalat.de
- fixed Summary
* Sun Jun 21 2009 chris@computersalat.de
- update to 1.0901
  - 1.0901 2009-05-16 -- Official release of above
  - 1.0900_01 2009-04-18 -- DEVELOPER RELEASE ONLY
  - Makefile.PL changes for Windows users as per issue #16
  - 1.0900 2009-02-22
  - Another pile-o-bugs
  - It seems that I also wasn't seeing notifications from RT
  (please don't use it, use the Gooogle project) so all the
  following are fixed:
  36672	Started failing mid May
  23313	Bug handling time zones like America/New_York
  25555	Module dies even when on_error is 'undef'
  23768	Olson timezone handling incorrect
  22450	locale test failing with bleadperl
  20487	nmake test_more fail (with patch); incorrect
  META.yml
  12071	format_datetime uses datetime locale rather than
  format locale
  11863	bug in DateTime::Format::Strptime 1.0601 when using %%s
  - And a couple from Google:
  [#8]		Add DateTime::Locale to documentation
  [#10]		Parsing bug -- can't detect word boundry after month abbr
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o fixed deps
